# Uses of Interface
com.logicaldoc.core.ResultSetWalker

Packages that use ResultSetWalker
Package
Description
com.logicaldoc.core
Core plug-in that contains the most important domain objects

## Uses of ResultSetWalker in com.logicaldoc.core

Methods in com.logicaldoc.core with parameters of type ResultSetWalker
Modifier and Type
Method
Description
`void`
HibernatePersistentObjectDAO.`queryForResultSet(String sql, Map<String,Object> parameters, Integer maxRows, ResultSetWalker walker)`
`void`
PersistentObjectDAO.`queryForResultSet(String sql, Map<String,Object> parameters, Integer maxRows, ResultSetWalker worker)`
Query given SQL to create a prepared statement from SQL and a list of arguments to bind to the query, you can give your own worker to iterate the `ResultSet`.